Bug 161167 - CD's won't play after upgrade to FC4 from FC3. CD's played fine in FC3 and FC2.
CD's won't play after upgrade to FC4 from FC3. CD's played fine in FC3 and FC2.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-audio (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 18:44 EDT by Charles
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 03:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles 2005-06-20 18:44:15 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. insert CD in system with VIA8235 AC97 sound chip and FC4 that was upgraded
from FC3 (when CD's played.
2. Try to play audio CD
3. AUIDO CD test fails.
4.  
2.
3.
  
Actual results:

CD does not play in CD rom DRIVE CDPLAYER SHOWS CD being there but does not
play.  CD sits there.

Expected results:
CD;s should play with no problem.  All I did was upgrade to FC4 from FC3

Additional info:
CD's played with no problem under FC3.  I upgrade to FC4 and no audio CD will
play.  I can however use the gnome program sound juicer to "rip" tracks of a CD.
 Since the only thing that changed on my system is the upgrade to FC4 from FC3
therefore I can assume that something is wrong with either the Gnome Volume
control or some other setting.  The fact that Sound juicer can rip tracks proves
that there is nothing wrong with my CD drive.  Something is not right with the
VIA 8235 ALSA mixer.
Comment 1 Charles 2005-06-21 06:44:19 EDT
Hi,
In the past I have not installed the KDE desktop because I usually prefer GNOME.
 However, as part of my own effort to solve this problem I did a yum
groupinstall KDE.  Under KDE Audio CD's play with no issues or problems. 
Therefore, something
is wrong under GNOME.  All things remaining equal I would expect the same
functionality under GNOME in FC4 that I had in FC3.

Comment 2 Barrett Koster 2005-06-29 13:37:21 EDT
I'm having a similar problem with my new Gateway 7426.  The driver test works (
bling-->,  <--bling, BLING), but music player (xmms?) and the CDPlayer fail. 
FC3_x64 didn't play, now FC4 (32bit) doesn't either.  The audio is supposed to
be 97 compaitble. ??
Comment 3 Charles 2005-06-29 16:19:29 EDT
Barrett Koster,

Thank you for adding to my bug report.  now I know that I am not the only one
experiencing this issue.  Here is my interim solution.  I loaded KDE.
I placed a shortcut to the Kscd player on my desktop. So, now when I want to
play a CD while in GNOME I use the shortcut for the KDE KsCD player.
You should also be visiting www.fedoraforum.org
This site is a treasure trove of help.
Comment 4 Barrett Koster 2005-07-14 16:33:03 EDT
More info: yum update of minutes ago doesn't fix it.  Trying to play song in
Music Player (Rythmbox 0.8.8) causes error:
   Internal GStreamer error: pad problem.  File a bug.
Here you go.
Comment 5 George König 2005-07-28 10:04:13 EDT
Yes, gnome-cd does not play under FC4 ... whenever I press 'play' it says:

(gnome-cd:10241): GStreamer-CRITICAL **: gst_pad_send_event: assertion
`GST_STATE (parent) >= GST_STATE_PAUSED' failed

in fact I'm using xmms to play CDs and not using rhythmbox (broken) or any
gstreamer-related app but cannot uninstall it because of dependancies.
Comment 6 Christian Iseli 2007-01-19 20:01:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Alexander Larsson 2007-01-22 03:21:30 EST
reported fixed

Note You need to log in before you can comment on or make changes to this bug.